Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1938563 - SELinux is preventing accounts-daemon from 'getattr' accesses on the filesystem /sys/fs/cgroup.
Summary: SELinux is preventing accounts-daemon from 'getattr' accesses on the filesyst...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 34
Hardware: x86_64
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Zdenek Pytela
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:07cd9abce1391e381094bd01d10...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-03-14 15:12 UTC by pmkellly
Modified: 2021-04-24 20:05 UTC (History)
9 users (show)

Fixed In Version: selinux-policy-34.2-1.fc34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-04-24 19:45:25 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description pmkellly 2021-03-14 15:12:13 UTC
Description of problem:
SELinux is preventing accounts-daemon from 'getattr' accesses on the filesystem /sys/fs/cgroup.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that accounts-daemon should be allowed getattr access on the cgroup filesystem by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# ausearch -c 'accounts-daemon' --raw | audit2allow -M my-accountsdaemon
# semodule -X 300 -i my-accountsdaemon.pp

Additional Information:
Source Context                system_u:system_r:accountsd_t:s0
Target Context                system_u:object_r:cgroup_t:s0
Target Objects                /sys/fs/cgroup [ filesystem ]
Source                        accounts-daemon
Source Path                   accounts-daemon
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           
Target RPM Packages           
SELinux Policy RPM            selinux-policy-targeted-3.14.7-25.fc34.noarch
Local Policy RPM              selinux-policy-targeted-3.14.7-25.fc34.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 5.11.6-300.fc34.x86_64 #1 SMP Thu
                              Mar 11 17:58:00 UTC 2021 x86_64 x86_64
Alert Count                   1
First Seen                    2021-03-14 11:02:57 EDT
Last Seen                     2021-03-14 11:02:57 EDT
Local ID                      db44b41d-0ee2-4cf8-9bbe-27317df4c767

Raw Audit Messages
type=AVC msg=audit(1615734177.275:897): avc:  denied  { getattr } for  pid=737 comm="accounts-daemon" name="/" dev="cgroup2" ino=1 scontext=system_u:system_r:accountsd_t:s0 tcontext=system_u:object_r:cgroup_t:s0 tclass=filesystem permissive=0


Hash: accounts-daemon,accountsd_t,cgroup_t,filesystem,getattr

Version-Release number of selected component:
selinux-policy-targeted-3.14.7-25.fc34.noarch

Additional info:
component:      selinux-policy
reporter:       libreport-2.14.0
hashmarkername: setroubleshoot
kernel:         5.11.6-300.fc34.x86_64
type:           libreport

Comment 1 pmkellly 2021-03-19 14:04:29 UTC
Similar problem has been detected:

I added a user and the notification came up. The user was set as Admin and a  password was filled in.

hashmarkername: setroubleshoot
kernel:         5.11.3-300.fc34.x86_64
package:        selinux-policy-targeted-3.14.7-25.fc34.noarch
reason:         SELinux is preventing accounts-daemon from 'getattr' accesses on the filesystem /sys/fs/cgroup.
type:           libreport

Comment 2 Zdenek Pytela 2021-04-06 17:15:19 UTC
Merged in rawhide:
commit abfd3b7df84b312d834491e31b4b65d7f65eb2cc
Author: Zdenek Pytela <zpytela>
Date:   Tue Apr 6 18:21:48 2021 +0200

    Allow accounts-daemon get attributes of cgroup filesystems

    Resolves: rhbz#1938563

Comment 3 Fedora Update System 2021-04-07 08:10:29 UTC
FEDORA-2021-79ef7c5af6 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-79ef7c5af6

Comment 4 Fedora Update System 2021-04-07 18:16:14 UTC
FEDORA-2021-79ef7c5af6 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-79ef7c5af6`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-79ef7c5af6

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2021-04-24 19:45:25 UTC
FEDORA-2021-79ef7c5af6 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 6 Fedora Update System 2021-04-24 20:05:48 UTC
FEDORA-2021-79ef7c5af6 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.